# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'jenkins_util/version'

Gem::Specification.new do |spec|
  spec.name          = 'jenkinsutil'
  spec.version       = JenkinsUtil::VERSION
  spec.authors       = ['Brett McGinnis']
  spec.email         = ['Brett@L4Digital.com']
  spec.summary       = 'A gem to help with basic tasks in jenkins'

  spec.summary       = 'Gem for managing tasks in CI'
  spec.homepage      = 'http://www.l4digital.com/'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = ['jenkinsutil']
  spec.require_paths = ['lib']

  spec.add_dependency 'open4', '~> 1.3', '1.3.4'
  spec.add_dependency 'sys-proctable', '~> 1.1', '1.1.3'
  spec.add_dependency 'dropbox_api', '~> 0.1.5'
  spec.add_dependency 'xcodeproj', '~> 1.4', '1.4.1'
  spec.add_dependency 'rubyzip', '~> 1.2', '1.2.0'
  spec.add_dependency 'ffi', '~> 1.9', '1.9.14'
  spec.add_dependency 'plist', '~> 3.2', '3.2.0'
  spec.add_dependency 'nanaimo', '~> 0.2', '0.2.3'
  spec.add_dependency 'CFPropertyList', '~> 2.3', '2.3.3'

  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'rake', '~> 11.3', '11.3.0'
  spec.add_development_dependency 'test-unit', '~> 3.2', '3.2.2'
  spec.add_development_dependency 'ci_reporter_test_unit', '~> 1.0'
  spec.add_development_dependency 'simplecov', '~> 0.12', '0.12.0'
  spec.add_development_dependency 'simplecov-cobertura', '~> 1.2', '1.2.0'
  spec.add_development_dependency 'simplecov-rcov', '~> 0.2', '0.2.3'
  spec.add_development_dependency 'rubocop', '~> 0.45', '0.45.0'
  spec.add_development_dependency 'ruby-debug-ide', '~> 0.6'
end
